.TH noshell 8 "" "NAS SYSTEMS"
.UC 4
.SH NAME
noshell \- log to a system file or send mail when logins are attempted to disabled accounts
and then exit. 
.SH SYNOPSIS
.B ##DESTDIR##/noshell
.br
.SH DESCRIPTION
.I noshell
would normally be used in place of a login shell.
It will record the remote host, local user name, the remote host address, the  tty line
the user attached to  and possibly the remote login name (if available) to a system log 
file and exit.  If the remote user cannot be determined, the remote user name field will 
have the word "Unknown Remote User" placed in it.  The system log file is written by calls 
to the syslog daemon. 
.PP
The program can also be configured to mail a message containing
all of the above information to a system administrator or to just have  a canned message
printed to the screen of the person who logged into the system.
.PP 
Once 
.I noshell
is specified as the login shell in the /etc/passwd file, the user will not be able to 
access his account through 
.I login, rlogin, ftp, rcp, 
and
.I rsh.
Except for 
.I ftp,
the user will get a message, if the message facility is turned on, and then the process 
will exit.  In the case of
.I ftp
the user will get the error message "ftp access denied for <account>".  Where <account> 
is the login id of the user.
.SH EXAMPLES
In the password file substitute ##DESTDIR##/noshell for the disabled
accounts login shell.  In the system log file would be the following:
.PP
Apr 12 09:34:45 fs03 noshell: WARNING: <UNKNOWN REMOTE USER@sun408> attempted to log into the account <testacct>,The remote internet address was 14.210.68.40 and the user attached to line ttyp5
.PP
You can also specify to have mail sent to a person.  The mail message will look like:
.nf
From: root
To: crabb@nas.nasa.gov
Subject: WARNING - Login to disabled account

************************ SECURITY ALERT ****************************
"UNKNOWN REMOTE USER"  has attempted to log into "fs03" 
using the login name of "testacct"

Time of login: Thu Apr 12 14:46:52 1990

The remote login originated from: sun408

Internet Address of remote host: 129.99.32.145

Terminal line user attached to: ttyp6

Please investigate this incident as soon as possible.
.fi
.SH FILES
##DESTDIR##/noshell
.SH BUGS
There are probably a few.  If you find them, please send Email to "crabb@nas.nasa.gov".
.SH AUTHOR
.nf
Michele D. Crabb  
Computer Sciences Corporation
NASA Ames Research Center
Mail Stop 258-6
Moffett Field, CA 94035
(415) 604 - 4337
crabb@nas.nasa.gov
.fi
.\" 	@(#)noshell.8 	1.0 of 8/88
